SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002207SOGoBackend Generalpublic2013-01-29 18:482013-02-05 14:40
Reporterroms 
Assigned Tojraby 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.4 
Target VersionFixed in Version2.0.4b 
Summary0002207: LDAP Authentication for users in OU with accent
DescriptionSOGo does not allow login for users authenticated to LDAP backend (currently Active Directory for me) when they are in Organizational Unit with accent.

This is a regression bug, because it was working well with SOGo 2.0.3
Additional InformationSome log :
--------------------------------------
Jan 30 00:39:48 sogod [2794]: <0x0x7f5df6df51d8[LDAPSource]> <NSException: 0x7f5df7697c88> NAME:LDAPException REASON:operation bind failed: Invalid credentials (0x31) INFO:{login = "cn=romain mariadassou,ou=si\\C3\\A8ge,ou=gefor,dc=gefor,dc=loc"; }
Jan 30 00:39:48 sogod [2794]: SOGoRootPage Login for user 'rmariadassou' might not have worked - password policy: 65535 grace: -1 expire: -1 bound: 0
localhost - - [30/Jan/2013:00:39:48 GMT] "POST /SOGo/connect HTTP/1.1" 403 34/49 0.028 - - 2M
--------------------------------------
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0002208resolvedjraby LDAP Authentication for users with accent in any part of DN 
has duplicate 0002213resolved Login error after upgrade to 2.0.4(a) 

-  Notes
(0005274)
roms (reporter)
2013-01-30 03:25

Same as mine : http://www.sogo.nu/bugs/view.php?id=2208 [^]
(0005302)
jraby (viewer)
2013-01-31 16:50

The issue should be fixed with the new nightly builds that are currently being synced to the repos.
See: https://github.com/inverse-inc/sope/commit/7a8cb886103dc9b4569151ae185b9e3bc2e95b4e [^]

Could you upgrade (only) the sope-ldap package and see if it resolves the issue?

Thanks.
(0005304)
roms (reporter)
2013-01-31 18:10

I don't use the nightly build because I compile SOGo from source.

Anyway, I have build the latest git version at time of writing, and the bug seems to be resolved for me.

Thanks for your speed.
(0005342)
jraby (viewer)
2013-02-05 14:40

fixed in 2.0.4b

- Issue History
Date Modified Username Field Change
2013-01-29 18:48 roms New Issue
2013-01-30 03:25 roms Note Added: 0005274
2013-01-30 09:14 Christian Mack Relationship added has duplicate 0002208
2013-01-31 10:30 jraby Relationship added has duplicate 0002213
2013-01-31 16:49 jraby Status new => assigned
2013-01-31 16:49 jraby Assigned To => jraby
2013-01-31 16:50 jraby Note Added: 0005302
2013-01-31 16:50 jraby Status assigned => feedback
2013-01-31 18:10 roms Note Added: 0005304
2013-02-05 14:40 jraby Note Added: 0005342
2013-02-05 14:40 jraby Status feedback => resolved
2013-02-05 14:40 jraby Resolution open => fixed
2013-02-05 14:40 jraby Fixed in Version => 2.0.4b


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker